# iOS

### Configuration

1. Set the HyperOTA Endpoint for Juspay Hyperswitch

   Edit **`HyperOTA.plist`** to point to your environment-specific endpoint.

   In your **release `config.json`**, ensure the HyperOTA endpoint is correctly defined.
2. Check the **`OTAServices.swift`** file to verify that the release configuration URL is being built correctly.

```swift
let payload = [
                "clientId": getHyperOTAPlist("clientId"),
                "namespace": getHyperOTAPlist("namespace"),
                "forceUpdate": true,
                "localAssets": false,
                "fileName": getHyperOTAPlist("fileName"),
                "releaseConfigURL": getHyperOTAPlist(configKey) + 
                 "/mobile-ota/ios/" + SDKVersion.current + "/config.json",
] as [String: Any]

HyperOTAServices(payload: payload, 
                loggerDelegate: logger, 
                baseBundle: Bundle(for: OTAServices.self))
```

{% hint style="info" %}
Make sure `releaseConfigURL` points to the `config.json` for the correct SDK version and environment.

`Example: $baseURL/mobile-ota/ios/${BuildConfig.VERSION_NAME}/config.json`
{% endhint %}

For more information, [Airborne](https://github.com/juspay/airborne)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hyperswitch.io/integration-guide/payment-suite/payment-method-card/over-the-air-ota-updates/ios.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
